import 'package:hmg_patient_app/core/viewModels/AlHabibMedicalService/home_health_care_view_model.dart';
import 'package:hmg_patient_app/uitl/translations_delegate_base.dart';
import 'package:hmg_patient_app/widgets/data_display/text.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

// ignore: must_be_immutable
class ConfirmCancelOrderDialog extends StatefulWidget {
  final HomeHealthCareViewModel model;
  final Function? onTap;

  ConfirmCancelOrderDialog({Key? key, required this.model, this.onTap});

  @override
  _ConfirmCancelOrderDialogState createState() => _ConfirmCancelOrderDialogState();
}

class _ConfirmCancelOrderDialogState extends State<ConfirmCancelOrderDialog> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return SimpleDialog(
      contentPadding: EdgeInsets.all(20),
      title: Center(
        child: Texts(
          TranslationBase.of(context).confirm,
          color: Colors.black,
        ),
      ),
      children: [
        Column(
          children: [
            Divider(),
            SizedBox(
              height: 10.0,
            ),
            Center(
              child: Texts(
                TranslationBase.of(context).cancelOrderMsg,
              ),
            ),
            SizedBox(
              height: 10,
            ),
            Row(
              // mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: <Widget>[
                Expanded(
                  flex: 1,
                  child: InkWell(
                    onTap: () {
                      Navigator.pop(context);
                    },
                    child: Padding(
                      padding: const EdgeInsets.all(8.0),
                      child: Container(
                        child: Center(
                          child: Texts(
                            TranslationBase.of(context).cancel.toUpperCase(),
                            color: Colors.red,
                          ),
                        ),
                      ),
                    ),
                  ),
                ),
                Container(
                  width: 1,
                  height: 30,
                  color: Colors.grey[500],
                ),
                Expanded(
                  flex: 1,
                  child: InkWell(
                    onTap: () async {
                      widget.onTap!();
                      Navigator.pop(context);
                    },
                    child: Padding(
                      padding: const EdgeInsets.all(8.0),
                      child: Center(
                          child: Texts(
                        TranslationBase.of(context).ok,
                        fontWeight: FontWeight.w400,
                      )),
                    ),
                  ),
                ),
              ],
            )
          ],
        )
      ],
    );
  }
}
